#ifndef G4VBodyFactory_h
#define G4VBodyFactory_h 1

#include "G4VPhysicalVolume.hh"
class G4VPhysicalVolume;
class G4VBodyFactory {
public:
    G4VBodyFactory();
    virtual ~G4VBodyFactory();
    virtual G4VPhysicalVolume* CreateOrgan(const G4String& idFile, G4VPhysicalVolume* motherVolume,
                                           const G4String& colour, G4bool solidFrame, G4bool sensitivity) = 0;
};
#endif
